/*==============================================================================
== Local Site Javascript/jQuery Functions
== Requires jQuery
== Author: Cindy Barry
==============================================================================*/


$(document).ready(function(){ //START JQUERY READY METHOD

/* ====== FIX ISSUES WITH BROWSERS NOT SCROLLING TO ANCHORED TEXT FROM URL ====== */
$(window).load(function() {
    if(location.hash){
    var elId = location.hash.replace('#','');
    var scrollToEl = document.getElementById(elId);
    scrollToEl.scrollIntoView(true);   
    }
});

// STOP DEFAULT SCROLL ON EMPTY HREF CALLS
$( 'a[href="#"]' ).click( function(e) {
  e.preventDefault();
});

/* ======= Equalizes column heights for stacked gallery boxes ======= */
$(window).load(function() {
    var viewportWidth = $(window).width();
    if (viewportWidth > 767) {  
        $('.equalize').each(function(){
          // Cache the highest
          var highestBox = 0;          
          // Select and loop the elements you want to equalise
          $('.album-section', this).each(function(){            
            // If this box is higher than the cached highest then store it
            if($(this).height() > highestBox) {
              highestBox = $(this).height(); 
            }
           });  
          // Set the height of all those children to whichever was highest 
          $('.album-cover',this).height(highestBox);                        
        }); 
    }
});


//OPEN FIRST ACCORDION PANEL
//$("#Expand-first-on-load").closest(".accordion").find("a.collapsed:first").trigger('click');

$("#Expand-first-on-load").closest(".accordion").find(".panel-collapse.collapse:first").each(function(index, value){
    //console.log(index, value);
    $(value).attr({"style": "", "aria-expanded": "true"});
    $(value).addClass("in");
    $(value).siblings(".panel-heading.panel-title a").removeClass("collapsed");  
    $(value).siblings(".panel-heading.panel-title a").attr("aria-expanded", "true");
});

// ADJUSTS POSITION ON ACCORDION COLLAPSE TO TOP OF ACTIVE PANEL 
$(".panel-collapse").on("shown.bs.collapse", function () {  
    if ( $(window).width() < 768) { //FOR MOBILE
        var id = $(this).attr('id');
        //alert (id);
        //$('html, body').animate({scrollTop: $('#'+id).offset().top + -140}, 500); FOR USE WITH FIXED HEADER ONLY
        $('html, body').animate({scrollTop: $('#'+id).offset().top + -60}, 500);
    } else { //FOR EVERYTHING ELSE
        var id = $(this).attr('id');
        //alert (id);
        //$('html, body').animate({scrollTop: $('#'+id).offset().top + -240}, 400); FOR USE WITH FIXED HEADER ONLY
        $('html, body').animate({scrollTop: $('#'+id).offset().top + -45}, 400);
    };
});


// CODE TO FORCE FOCUS ON CHAT MODAL POPUP FOR BOTH TOP CHAT LINK AND SIDE CHAT BUTTON
$('.modal').on('shown.bs.modal', function() {    
    document.activeElement.blur();
    $(this).find('.modal-header :input:visible:first').focus();
});


// RESPONSIVE TABLE - SET DATA-TH VALUE 
var headertext = [],
headers = document.querySelectorAll("#table-responsive th"),
tablerows = document.querySelectorAll("#table-responsive th"),
tablebody = document.querySelector("#table-responsive tbody");

//alert(headers);
//alert(tablerows);
//alert(tablebody);

if (tablebody !== null) {
    for(var i = 0; i < headers.length; i++) {
  var current = headers[i];
  headertext.push(current.textContent.replace(/\r?\n|\r/,""));
} 
for (var h = 0, row; row = tablebody.rows[h]; h++) {
//alert("go tablebody");
  for (var j = 0, col; col = row.cells[j]; j++) {
  col.setAttribute("data-th", headertext[j]);   
  } 
}
}

//REDIRECTS TO MOBILE VERSION OF CLASSIC CATALOG FOR MOBILE DEVICES
$(".summit-resource-link").click(function(){
    var viewportWidth = $(window).width();
    if ( viewportWidth < 768) {
        //alert ("mobile version");
        window.open("https://summit.syr.edu/vwebv/searchBasic?sk=mobile", "_self");
    }
    else {
        //alert("full version");
        window.open("https://summit.syr.edu/vwebv/searchBasic?sk=sul", "_self");
    }      
});

//CLEARS SCRC SEARCH INPUT FIELD ON FOCUS FOR LARGE DEVICES
var defaultSCRC = '';
$('#home_box_scrc_input').focus(function () {
    defaultSCRC = $(this).val();
    $(this).val('');
});
$('#home_box_scrc_input').blur(function () {
    var newText = $(this).val();
    if (newText.length < 1) {
       $(this).val(defaultSCRC);
    }
});
$('#box_scrc_input').focus(function () {
    defaultSCRC = $(this).val();
    $(this).val('');
});
$('#box_scrc_input').blur(function () {
    var newText = $(this).val();
    if (newText.length < 1) {
       $(this).val(defaultSCRC);
    }
});

//CLEARS SCRC SEARCH INPUT FIELD ON FOCUS FOR MOBILE DEVICES
var defaultSCRCm = '';
$('#home_box_scrc_input_m').focus(function () {
    defaultSCRCm = $(this).val();
    $(this).val('');
});
$('#home_box_scrc_input_m').blur(function () {
    var newText = $(this).val();
    if (newText.length < 1) {
       $(this).val(defaultSCRCm);
    }
});

//CLEARS SUMMON SEARCH INPUT FIELD ON FOCUS FOR MOBILE DEVICES
var defaultSUMMON = '';
$('#home_box_summon_input').focus(function () {
    defaultSUMMON = $(this).val();
    $(this).val('');
});
$('#home_box_summon_input').blur(function () {
    var newText = $(this).val();
    if (newText.length < 1) {
       $(this).val(defaultSUMMON);
    }
});


// OPEN CHAT VIA HYPERLINK - OPENS NEW WINDOW ON LARGE DEVICES AND OPENS MODAL ON SMALL DEVICES
$(".chat-link").click(function(){
    var viewportWidth = $(window).width();
    //alert(viewportWidth);
    if (viewportWidth > 992) {
        //alert("hit large");
        var varLeft = ((viewportWidth/4) * 3);
        window.open("/help/chat.php", "_blank", "toolbar=no,scrollbars=no,resizable=yes,top=100,width=280,height=470,left="+varLeft);
       } else {
        //alert("hit small");
        $("#chatModal").appendTo("body").modal("show");
        document.getElementById("chatModal").className = "modal fade";
    };    
});

// JS OPEN CHAT FOR CHAT TAB ONLY
$(".chat-tab").click(function(){
    var viewportWidth = $(window).width();
    if (viewportWidth > 767) {
    var varLeft = ((viewportWidth/4) * 3);
    //alert(varLeft);
    return window.open("/help/chat.php", "_blank", "toolbar=no,scrollbars=no,resizable=yes,top=100,width=280,height=470,left="+varLeft);
   } else {
    //var varView = (viewportWidth);
    return window.open("/help/askus.php#chatbox", "_self", "");
   }
});

// JS OPEN CHAT FOR MOBILE VIA ICON
$(".help-icon").click(function(){
    $("#chatModal").attr('class', 'modal fade');
});


//OPEN ALL ACCORDION PANELS INDIVIDUALLY
$(".open-panels-link").click(function(){
    var panelCode = $(this).parent().next(".faq-wrapper").find(".accordion").attr("id");
    var panelID = ("#" + panelCode + " "); 
    //alert(panelID);
    $(panelID + ".panel-collapse.collapse").attr("style", "");
    $(panelID + ".panel-collapse.collapse").attr("aria-expanded", "true");
    $(panelID + ".panel-collapse.collapse").addClass("in");
    $(panelID + ".panel-title a").removeClass("collapsed");  
    $(panelID + ".panel-title a").attr("aria-expanded", "true");
    $(this).addClass("hidden");
    $(this).next(".close-panels-link").removeClass("hidden");    
});

//CLOSE ALL ACCORDIAN PANELS INDIVIDUALLY
$(".close-panels-link").click(function(){
    var panelCode = $(this).parent().next(".faq-wrapper").find(".accordion").attr("id");
    var panelID = ("#" + panelCode + " "); 
    //alert(panelID);
    $(panelID + ".panel-collapse.collapse.in").attr("style", "height: 0;");
    $(panelID + ".panel-collapse.collapse.in").attr("aria-expanded", "false");
    $(panelID + ".panel-collapse.collapse.in").removeClass("in");
    $(panelID + ".panel-title a").addClass("collapsed");
    $(panelID + ".panel-title a").attr("aria-expanded", "false");    
    $(this).addClass("hidden");
    $(this).prev(".open-panels-link").removeClass("hidden");
});


//FOCUS ON SITE SEARCH INPUT FIELD FOR SITE SEARCH PAGE
$(window).load(function() {
    $("#gsc-i-id1").focus();
});


}); //END READY METHOD




/* --------------------------- OLD JAVASCRIPT CODE ---------------------------- */


// CHANGE XTF SEARCH BUTTON 
function IsNotEmpty(){
  var elem = document.getElementById("xtf-basicsearch-button");
    elem.value="Search";
}




